Skip to main content
POST
/
api
/
v1
/
sheets
/
grant-access
Grant Sheet Access
curl --request POST \
  --url https://api.example.com/api/v1/sheets/grant-access \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sheet_id": "<string>",
  "sheet_name": "<string>",
  "sheet_url": "<string>"
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://docs.bavlio.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request model for granting access to a Google Sheet.

sheet_id
string
required

Google Sheet ID

sheet_name
string
required

Name of the Google Sheet

sheet_url
string
required

Full URL of the Google Sheet

Response

Successful Response

The response is of type Response Grant Sheet Access Api V1 Sheets Grant Access Post · object.